Inquire Virtual Account Transactions
curl --request GET \
--url https://pay-api.holdstation.com/partners/mid/va/{va_account}/inquiry \
--header 'Partner-App-Key: <partner-app-key>' \
--header 'X-HSPay-Signature: <x-hspay-signature>' \
--header 'X-HSPay-Timestamp: <x-hspay-timestamp>'import requests
url = "https://pay-api.holdstation.com/partners/mid/va/{va_account}/inquiry"
headers = {
"Partner-App-Key": "<partner-app-key>",
"X-HSPay-Signature": "<x-hspay-signature>",
"X-HSPay-Timestamp": "<x-hspay-timestamp>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'Partner-App-Key': '<partner-app-key>',
'X-HSPay-Signature': '<x-hspay-signature>',
'X-HSPay-Timestamp': '<x-hspay-timestamp>'
}
};
fetch('https://pay-api.holdstation.com/partners/mid/va/{va_account}/inquiry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "success",
"data": {
"merchant_id": "MID123",
"va_account": "1234567890",
"va_name": "PARTNER ABC ORDER 12345",
"va_bank": "Vietcombank",
"transactions": [
{
"trans_id": 9876543210,
"amount": 1000000,
"time_paid": 1700000000,
"cashin_id": 1234567890,
"remark": "order-12345"
}
]
}
}
Merchant Virtual Account
Inquire Virtual Account Transactions
Fetch live transaction history for a virtual account.
GET
/
partners
/
mid
/
va
/
{va_account}
/
inquiry
Inquire Virtual Account Transactions
Fetch live transaction history for a virtual account directly from the payment service provider.
Authentication
Your partner app key.
Base64-encoded Ed25519 signature of the sign data.
Unix timestamp (seconds) of the request. Must be within 60 seconds of server time.
Path Parameters
The virtual account number to inquire.
{
"message": "success",
"data": {
"merchant_id": "MID123",
"va_account": "1234567890",
"va_name": "PARTNER ABC ORDER 12345",
"va_bank": "Vietcombank",
"transactions": [
{
"trans_id": 9876543210,
"amount": 1000000,
"time_paid": 1700000000,
"cashin_id": 1234567890,
"remark": "order-12345"
}
]
}
}
⌘I